> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claimr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invite Code Status

> Retrieves information about an invite code including which users have used it.



## OpenAPI

````yaml /openapi.yaml get /code
openapi: 3.0.0
info:
  title: claimr API
  version: 1.0.0
  description: >-
    Advanced features of claimr for business partners. This API provides a
    seamless integration with claimr services
  termsOfService: https://claimr.io/terms-of-service/
  contact:
    name: claimr support team
    email: support@claimr.io
servers:
  - url: https://prod.claimr.io/api/v1
    description: Production server
  - url: https://prod.claimr.io/api/v1
    description: Development server
security: []
tags: []
paths:
  /code:
    get:
      tags:
        - Invite codes
      summary: Get Invite Code Status
      description: >-
        Retrieves information about an invite code including which users have
        used it.
      parameters:
        - in: query
          name: code
          description: Invite code to check
          required: true
          schema:
            type: string
            example: ABC123
        - in: query
          name: pid
          description: Campaign/Project ID associated with the invite code
          required: true
          schema:
            type: string
            example: campaign_001
      responses:
        '200':
          description: Invite code information retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      used_by:
                        type: array
                        description: List of users who have used this invite code
                        items:
                          type: string
                        example:
                          - user123
                          - user456
                required:
                  - success
                  - data
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/access_denied'
        '500':
          $ref: '#/components/responses/internal_error'
      security:
        - bearer: []
components:
  responses:
    bad_request:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 400
                  message:
                    type: string
                    default: bad request
    unauthorized:
      description: Unauthorized request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 401
                  message:
                    type: string
                    default: unauthorized
    access_denied:
      description: Access denied
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 403
                  message:
                    type: string
                    default: access denied
    internal_error:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 500
                  message:
                    type: string
                    default: internal error
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````